Bug Hunting Session
Bug 111799 - Template manager does not show template names when starting Impress
Summary: Template manager does not show template names when starting Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:6.0.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2017-08-14 11:29 UTC by Tamás Zolnai
Modified: 2017-09-15 07:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of template dialog showing no names for the templates (43.61 KB, image/png)
2017-08-14 11:30 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-08-14 11:29:31 UTC
Description:
When I start Impress and the template dialog is opened (I have a set the optiont to behave like that), I see that all templates are displayed without a name (see screenshot). Names get to displayed if I scroll down in the template dialog for example.

I experience the same issue on Windows and on Linux.

Steps to Reproduce:
1. Make template dialog opened by starting Impress (Tools -> LibreOffice Impress -> General -> Start with template selection checkbox
2. Close Impress
3. Start Impress

Actual Results:  
Template name are not displayed when template dialog is opened.

Expected Results:
Template names should be displayed.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Tamás Zolnai 2017-08-14 11:30:27 UTC
Created attachment 135543 [details]
Screenshot of template dialog showing no names for the templates
Comment 2 Telesto 2017-08-14 19:20:57 UTC
Repro with:
Version: 6.0.0.0.alpha0+
Build ID: f1a896c71c495bdef5861eb664581507b6b9b5bb
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-13_07:38:19
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 Tamás Zolnai 2017-08-14 22:56:33 UTC
The template dialog's code is here:
sfx2/source/doc/templatedlg.cxx
Comment 4 Serge Krot (CIB) 2017-09-14 15:51:55 UTC
Problem was:
* The font was not intialized for TextLayouterDevice object
Comment 5 Commit Notification 2017-09-14 23:35:29 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e038dfdf05096edc0e9c38c9a686b5d23ba39352

tdf#111799 Added missing initialization of font

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.